Subject: Re: [PATCH] [NET] reduce sizeof(struct inet_peer), cleanup, change in peer_check_expire()

From: Eric Dumazet <[email-masked]>
Date: Fri, 13 Oct 2006 06:24:52 +0200

David Miller a écrit :
> From: Eric Dumazet <[email-masked]>
> Date: Fri, 13 Oct 2006 05:56:43 +0200
> 
>> 2^31 is 2147483648
>>
>> Thats a *lot* of timer ticks, an inet_peer entry should not stay in 
>> unused_list for more than 10 minutes.
> 
> My bad, I thought the time was compared to the creation time
> not the time at which it was added to the unused list.
> 
> I like your patch and I'll apply it.
> 
> Thanks Eric.

Thank you David

(Re-reading my previous mail, I forgot to say that on ia32, unsigned long is 
already 32 bits, so if a 32bits timestamp is OK (for delta computing) for such 
platforms, it must be  OK for other platforms as well)

Eric